Page MenuHomePhabricator

[DO NOT USE] new monolingual language code requests for Wikidata (tracking) [superseded by #language_codes]
Closed, InvalidPublic

Description

Please use Language codes for all new monolingual language code requests

This aims to simplify viewing tickets for currently requested languages for monolingual text properties at Wikidata.

Candidates might be found with Q28368760.

Requests as comments here are unlikely to be handled.

The note below is outdated. To request a new language for labels, descriptions, and aliases support, you should also use Language codes.

NOTE: This is relates to Wikidata monolingual text language only. To request a new language for labels, descriptions, and aliases support, please first request enabling your language for localisation on translatewiki.net (see https://translatewiki.net/wiki/Translatewiki.net_languages), then translate MediaWiki (most important messages)(MUST BE 100% DONE), Wikibase - Client (at least one message), and Wikibase - Repo (at least one message). To request a Wikimedia project in your language, please use https://meta.wikimedia.org/wiki/Requests_for_new_languages.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Hoi,
The consideration has been only is it a valid code. The question asked is a
different one. What is the point to all these codes that probably do not
bring anything to Wikidata.
Thanks,

GerardM

I believe we should let the community decide that.

Hoi,
In the past we have been where we are now with Wikidata and new language
codes with new Wikipedias. The result was mayhem, and everything was just
as the "community" decided. The result is the many Wikipedias that have
no community. As a result the Language Committee took the place of "the
community"and from that moment new Wikipedias do conform to standards.

I have seen too many requests that are problematic that will in my opinion
not bring anything to Wikidata. I find a lack of purpose in what is
proposed. I do understand a purpose for texts as they were originally but
where is the purpose in adding labels that have arbitrarily transliterated
in other scripts.

There is no point. It is not the "community" supporting this it hidden in
phabricator.
Thanks,

GerardM

This is not about new languages for labels. This ticket and its subtickets are (almost all) explicitly about new languages for monolingual text values in statements. And Léa and I get asked a lot why this is being held up and we don't have a good answer. I don't want to do this but if this process isn't working I have to find another way in the interest of the project.

As I suggested above, I recommend reusing the language-data database for this. It is also used in the UniversalLanguageSelector, which is a dependency for Wikibase, so it's safe to assume that it's installed on Wikidata.

The criteria for adding a language to this database are pretty much the same as the general Wikimedia criteria. If anybody finds a discrepancy in the criteria, let me know.

Nikki added a comment.Jul 5 2018, 11:36 AM

The criteria for adding a language to this database are pretty much the same as the general Wikimedia criteria. If anybody finds a discrepancy in the criteria, let me know.

What are the general Wikimedia criteria?

The criteria for adding a language to this database are pretty much the same as the general Wikimedia criteria. If anybody finds a discrepancy in the criteria, let me know.

What are the general Wikimedia criteria?

Now that I think of it, I'm not sure whether they are written anywhere :)

But a valid ISO 639 3 code is definitely a criterion. Is there anything else that Wikidata requires?

Nikki added a comment.Jul 5 2018, 12:20 PM

Now that I think of it, I'm not sure whether they are written anywhere :)

But a valid ISO 639 3 code is definitely a criterion. Is there anything else that Wikidata requires?

Wikidata's own criteria (from https://www.wikidata.org/wiki/Help:Monolingual_text_languages#Requirements_for_a_new_language_code) suggest that anything with a valid IETF language tag should be allowed. The requests so far have included ancient languages, artificial languages, country variants, script variants, other variants with a registered subtag and codes involving macrolanguages.

Nikki added a comment.Aug 23 2018, 7:27 PM

@Amire80 Would all of what Wikidata wants (see previous comment) be allowed in the language-data database?

@jhsoby I see you're also interested in using the language-data database instead, what do you think about the different types of codes in my previous comment?

Hello to all the subscribers of this task,
I'd like to raise awareness on this consultation about issues encountered when requesting new languages in Wikidata. Since this is directly connected to the process that currently goes through creating subtasks here, I thought you may want to give your opinion before we try to address the issues. Thanks a lot for taking a bit of time for this :)

Mbch331 changed the status of subtask T234761: Add monolingual language code lcm from Open to Stalled.Oct 6 2019, 6:12 PM
jhsoby changed the status of subtask T234761: Add monolingual language code lcm from Stalled to Open.Oct 6 2019, 9:17 PM
Mbch331 changed the status of subtask T234761: Add monolingual language code lcm from Open to Stalled.Oct 10 2019, 4:24 PM
jhsoby closed this task as Resolved.Sep 14 2020, 10:42 AM
jhsoby claimed this task.

We have created the Phabricator tag Language codes to track this (and other language code isuses), instead of using this unwieldy task. I have updated the instructions for requesting languages codes for monolingual text at Wikidata, and will add the instructions from this task to the project description.

We have created the Phabricator tag Language codes to track this (and other language code isuses), instead of using this unwieldy task. I have updated the instructions for requesting languages codes for monolingual text at Wikidata, and will add the instructions from this task to the project description.

You need to move all subtasks (including closed ones) to the subproject and remove them from this task - see https://www.mediawiki.org/wiki/Phabricator/Project_management/Tracking_tasks

Bugreporter renamed this task from new monolingual language code requests for Wikidata (tracking) to [DO NOT USE] new monolingual language code requests for Wikidata (tracking) [superseded by #language_codes].Sep 14 2020, 12:36 PM
Bugreporter lowered the priority of this task from Medium to Lowest.
Bugreporter updated the task description. (Show Details)
Bugreporter added a project: Language codes.
Aklapper changed the task status from Resolved to Invalid.Sep 14 2020, 12:58 PM
Bugreporter removed subtasks: T257422: Add language codes eo-hsistemo and eo-xsistemo for lexemes, T250559: Add de-1901 as a language code for lexemes, T258331: Add monolingual language code mic, T254968: Add monolingual language code lij-MC, T250246: Add monolingual language code nsk, T241424: Add monolingual language code gil, T240098: Add Dagbani language (dag) to monolingual codes, T240097: Add Chukchi language (ckt) to monolingual codes, T239411: Add monolingual language code WLS (Wallisian), T236938: Add monolingual language code "tok" (Toki Pona), T235468: Add monolingual language code mfa, T234761: Add monolingual language code lcm, T234330: Add monolingual language code bdr, T233653: Add monolingual language code ota, T230881: Add monolingual language code "sa-Sidd" and "pi-Sidd", T230145: Add monolingual language code TLI (Tlingit), T226701: Add sju, sjd, and rmf to wmgExtraLanguageNames, T222426: Add monolingual language codes rm-rumgr, rm-surmiran, rm-sursilv, rm-sutsilv, rm-vallader, rm-puter, T222020: Add monolingual language code clc (Tsilhqotʹin), T220284: Add monolingual language code tnq (Taíno) and car (Kalinago), T217521: Add sjk, sia and sjt as languages for monolingual properties, T217131: Add monolingual language code gml (Middle Low German), T216798: Add monolingual language code tlb, T215032: Add monolingual language code cmg, T212313: Add monolingual language code en-in (Indian English), T210311: Add monolingual language code ccp for Chakma, T210293: Add language codes rm-rumgr, rm-sursilv, rm-surmiran, rm-sutsilv, rm-vallader, rm-puter for Lexemes, T198674: Add monolingual language code el-cy, T198366: Add monolingual language code kld (Gamilaraay), T195816: Add monolingual language code ja-Hira, ja-Kana, ja-Hrkt, ja-Hani, ojp, ojp-Hira, ojp-Hani, T190981: Add monolingual language code alc, T189427: Add monolingual language code peo (Old Persian), T188599: Add monolingual language code sju, T188596: Add monolingual language code sjd, T188580: Add monolingual language code smn, T188579: Add monolingual language code sms, T185800: Add monolingual language code cnr, T185194: Add monolingual language codes qya, sjn, T184783: Add monolingual language code shy, T181823: Add monolingual language code fro and frm in Wikidata, T180771: Add monolingual language code nan-hani, cdo-hani, hak-hans, hak-hant, T180345: Add monolingual language code vi-hani, ko-kore, T174238: Add monolingual language code ami (Amis), T174236: Add monolingual language code ssf (Thao), T174234: Add monolingual language code fos (Siraya), T174233: Add monolingual language code ppu (Papora / Hoanya), T174232: Add monolingual language code tay (Atayal), T174231: Add monolingual language code pwn (Paiwan), T174230: Add monolingual language code bnn (Bunun), T174229: Add monolingual language code uun (Pazeh), T174228: Add monolingual language code trv (Seediq / Taroko), T174227: Add monolingual language code pyu (Puyuma), T167811: Add monolingual language code xpu, T167745: Add monolingual language code nxm , T167259: Add [fkv] Kven to $wmgExtraLanguageNames for Wikidata, T165648: Add monolingual language codes nrf-gg (for Guernésiais), nrf-je (for Jèrriais), T164580: Add monolingual language code syc, T162552: Add monolingual language code nxm (East Numidian), T161983: Add Rangi language (lag) to Wikidata, T160531: Add monolingual language code UMU (Munsee), T155435: Add monolingual language code zun (Zuni), T155434: Add monolingual language code zap (Zapotec), T155433: Add monolingual language code yap (Yapese), T155431: Add monolingual language code uga (Ugaritic), T155430: Add monolingual language code nr (Southern Ndebele), T155429: Add monolingual language code fuf (Pular), T155427: Add monolingual language code rar (Cook Islands Māori/Rarotongan), T155426: Add monolingual language code pjt (Pitjantjatjara), T155425: Add monolingual language code phn (Phoenician), T155423: Add monolingual language code ood (O'odham), T155421: Add monolingual language code gmy (Mycenaean Greek), T155420: Add monolingual language code mnw (Mon), T155419: Add monolingual language code mix (Mixtec), T155418: Add monolingual language code mid (Modern Mandaic/Neo-Mandaic), T155417: Add monolingual language code mnc (Manchu), T155378: Add monolingual language code lkt (Lakota), T155377: Add monolingual language code kjh (Khakas), T155376: Add monolingual language code quc (K'iche'), T155374: Add monolingual language code haz (Hazaragi), T155373: Add monolingual language code gez (Ge'ez), T155372: Add monolingual language code eya (Eyak), T155371: Add monolingual language code cop (Coptic), T155370: Add monolingual language code chn (Chinook Jargon), T155369: Add monolingual language code brx (Bodo), T155368: Add monolingual language code hbo (Biblical Hebrew), T155367: Add monolingual language code abq (Abaza), T154589: evaluate creation of en-us for Wikidata monolingual strings, T151186: Add monolingual language code fr-CA, T151129: Add monolingual language code moe, T148887: Add monolingual language code nn-hognorsk for Høgnorsk, T146707: Add Lule Sami and Pite Sami as supported languages in Wikidata, T127935: Add already-requested new terms languages, T127435: Allow items in Cape Verdean Creole (kea) in Wikidata, T138131: Support language "Haida (hai)" for monolingual text datatype, T137809: Add monolingual language code otk, T137810: [Task] Add monolingual language code mn-Mong, T113408: [Task] Add support for srq (Sirionó) to Wikidata, T137808: [Task] Add monolingual language code mnc, T137115: Add monolingual language code "non", T127858: [Task] Add Noongar (nys) as a language which can be used for labels etc., T98314: [Bug] add Talossan (tzl) to Wikidata.Sep 15 2020, 2:36 PM